package com.loafle.overflow.module.infra.dao;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.infra.model.Infra;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.module.target.model.Target;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraDAO extends JpaRepository<Infra, Long> {
    public List<Infra> findAllByProbe(Probe probe);

    List<Infra> findAllByProbe(List<Probe> probeList);


    @Query("SELECT DISTINCT i.target FROM Infra i WHERE i.probe IN (:probeList)")
    List<Target> findAllTargetByProbeList(@Param("probeList") List<Probe> probeList);

//    List<Infra> findAllByProbe(List<Probe> probeList);
}